OpenTTD Source: AirportTileScopeResolver Struct Reference

OpenTTD Source 12.2

Public Member Functions | Data Fields
AirportTileScopeResolver Struct Reference

Scope resolver for handling the tiles of an airport. More...

`#include <newgrf_airporttiles.h>`

Inheritance diagram for AirportTileScopeResolver:

## Public Member Functions
| AirportTileScopeResolver (ResolverObject &ro, const AirportTileSpec *ats, TileIndex tile, Station *st)
| Constructor of the scope resolver specific for airport tiles. More...
uint32 | GetRandomBits () const override
| Get a few random bits. More...
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const override
| Get a variable value. More...
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual uint32 | GetTriggers () const
| Get the triggers. More...
virtual void | StorePSA (uint reg, int32 value)
| Store a value into the persistent storage area (PSA). More...

## Data Fields
struct Station * | st
| Station of the airport for which the callback is run, or `nullptr` for build gui.
byte | airport_id
| Type of airport for which the callback is run.
TileIndex | tile
| Tile for the callback, only valid for airporttile callbacks.
const AirportTileSpec * | ats
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Detailed Description

Scope resolver for handling the tiles of an airport.

Definition at line 21 of file newgrf_airporttiles.h.

## Constructor & Destructor Documentation

## ◆ AirportTileScopeResolver()

AirportTileScopeResolver::AirportTileScopeResolver | ( | ResolverObject & | ro,
|  | const AirportTileSpec * | ats,
|  | TileIndex | tile,
|  | Station * | st
| ) |  |
| inline

Constructor of the scope resolver specific for airport tiles.

Parameters

  ats | Specification of the airport tiles.
  tile | Tile for the callback, only valid for airporttile callbacks.
  st | Station of the airport for which the callback is run, or `nullptr` for build gui.

Definition at line 33 of file newgrf_airporttiles.h.

References Station::airport, st, and Airport::type.

## Member Function Documentation

## ◆ GetRandomBits()

uint32 AirportTileScopeResolver::GetRandomBits | ( |  | ) | const
| overridevirtual

Get a few random bits.

Default implementation has no random bits.

Returns
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 202 of file newgrf_airporttiles.cpp.

References GetStationTileRandomBits(), INVALID_TILE, BaseStation::random_bits, st, and tile.

## ◆ GetVariable()

uint32 AirportTileScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available
| ) |  | const
| overridevirtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 161 of file newgrf_airporttiles.cpp.

References Station::airport, ClosestTownFromTile(), Debug, GetAirportTileIDAtOffset(), GetAnimationFrame(), GetNearbyAirportTileInformation(), GetNearbyTile(), GetRelativePosition(), GetTerrainType(), GetTownRadiusGroup(), ResolverObject::grffile, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, ScopeResolver::ro, st, OrthogonalTileArea::tile, and tile.

The documentation for this struct was generated from the following files:

- src/newgrf_airporttiles.h
- src/newgrf_airporttiles.cpp